> For the complete documentation index, see [llms.txt](https://developers-apps-in-toss.toss.im/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers-apps-in-toss.toss.im/documentation/sdk/domains-api/ads/googleadmob.isappsintossadmobloaded.md).

# GoogleAdMob.isAppsInTossAdMobLoaded

### 기능 설명

해당 광고 그룹의 AdMob 광고가 잘 불러와졌는지 확인해요. 광고를 노출하기 전에 로드 상태를 점검할 때 사용해요.

호출 전에 `GoogleAdMob.isAppsInTossAdMobLoaded.isSupported()`로 지원 여부를 확인할 수 있어요.

### 타입

```ts
GoogleAdMob.isAppsInTossAdMobLoaded(options: IsAdMobLoadedOptions): Promise<boolean>;
```

**Params**

```ts
type IsAdMobLoadedOptions = {
  /** 확인할 광고 그룹 ID예요. */
  adGroupId: string;
};
```

**Response**

광고가 로드돼 있으면 `true`를 반환해요.

### 예시 코드

```js
import { Ads } from "@apps-in-toss/web-framework";

async function checkAdLoaded() {
  try {
    const isLoaded = await GoogleAdMob.isAppsInTossAdMobLoaded({
      adGroupId: "AD_GROUP_ID",
    });
    console.log(isLoaded ? "광고 준비 완료" : "광고가 아직 준비되지 않았어요.");
  } catch (error) {
    console.error(error);
  }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers-apps-in-toss.toss.im/documentation/sdk/domains-api/ads/googleadmob.isappsintossadmobloaded.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
